Summary: MuSE audio streamer.
Name: MuSE
%define version 0.8.1
Version: %{version}
Release: 1
Packager: Pasky <pasky@ecn.org>
Source: http://muse.dyne.org/releases/MuSE-0.8.1.tar.gz
Vendor: dyne.org productions
URL: http://muse.dyne.org/
Group: Applications/Multimedia
Copyright: GPL
Requires: gtk+ >= 1.2.0 gtk+-devel >= 1.2.0 lame >= 3.88 lame-devel >= 3.88
BuildRoot: /tmp/muse-root

%description
MuSE is an application for mixing, encoding, and network streaming of sound.
MuSE can simultaneously mix up to 6 encoded audio bitstreams (from files or
network), plus a souncard input signal. The resulting stream can be played
locally on the sound card and/or encoded as an mp3 bitstream sent to a
broadcast server. MuSE also offers an intuitive interface to be operated in
realtime and can run in "slick" mode from commandline.

%prep
%setup

%build
./configure 
make

%install
install -d $RPM_BUILD_ROOT/usr/bin 
install -m 755 muse $RPM_BUILD_ROOT/usr/bin 
install -d $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version} 
install -m 644 AUTHORS $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}
install -m 644 ChangeLog $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}
install -m 644 COPYING $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}
install -m 644 INSTALL $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}
install -m 644 KNOWN-BUGS $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}
install -m 644 NEWS $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}
install -m 644 README $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}
install -m 644 TODO $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}
install -m 644 USAGE $RPM_BUILD_ROOT/usr/share/doc/MuSE-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
#%doc README NEWS AUTHORS COPYING INSTALL USAGE TODO KNOWN-BUGS
/usr/bin/muse
/usr/share/doc/MuSE-%{version}/AUTHORS
/usr/share/doc/MuSE-%{version}/COPYING
/usr/share/doc/MuSE-%{version}/INSTALL
/usr/share/doc/MuSE-%{version}/KNOWN-BUGS
/usr/share/doc/MuSE-%{version}/NEWS
/usr/share/doc/MuSE-%{version}/README
/usr/share/doc/MuSE-%{version}/TODO
/usr/share/doc/MuSE-%{version}/USAGE

%changelog

* Sat Nov 23 2002 Pasky <pasky@ecn.org>

- RPM packages created.

